### Method

# Gegl Nodenew_child

#### Declaration [src]

    GeglNode*
    gegl_node_new_child (
      GeglNode* parent,
      const gchar* first_property_name,
      ...
    )

#### Description [src]

Creates a new processing node that performs the specified operation with a NULL terminated list of key/value pairs for initial parameter values configuring the operation. Usually the first pair should be “operation” and the type of operation to be associated. If no operation is provided the node doesn’t have an initial operation and can be used to construct a subgraph with special middle-man routing nodes created with

# gegl_node_get_output_proxy and #gegl_node_get_input_proxy.

This method is not directly available to language bindings.

#### Parameters

`first_property_name`

  Type: `const gchar*`

  The first property name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  First property value, optionally followed by more key/value pairs, terminated with NULL.

#### Return value

Type: `GeglNode`

A newly created `GeglNode`. The node will be destroyed by the parent. Calling g_object_unref on a node will cause the node to be dropped by the parent. (You may also add additional references using g_object_ref/g_object_unref, but in general relying on the parents reference counting is easiest.).

The returned data is owned by the instance.